Subject: [6tisch] CoRE CoMI

From: Thomas Watteyne <[email-masked]>
Date: Thu, 12 Dec 2013 13:24:56 -0800

For those not in the ACE ML yet, below is some interesting discussion about
the CoRE Management Interface effort.

---------- Forwarded message ----------
From: peter van der Stok <[email-masked]>
Date: Wed, Dec 11, 2013 at 11:48 PM
Subject: Re: [Ace] Draft ACE Charter
To: [email-masked], bert greevenbosch <[email-masked]>

Hi Thomas,

Bert and I started on RESTCONF draft with the subject core management
interfaces (CoMI).
draft-vanderstok-core-comi-01.
 if I understand you correctly, the draft proposal is a first step to your
single protocol serving multiple purposes.
After comments by Juergen, we are preparing a second more CBOR, JSON
focussed version.

Looking forward to your comments,

Peter

Thomas Watteyne schreef op 2013-12-12 03:36:

 Carsten,
>
> Could you elaborate your argumentation about YANG?
>
> When I read
> "There is a very thin line between operations on authorization state
> and other configuration management."
> I think
> "great, so a need to run only a single set of tools on my nodes to
> enable both".
>
> Sure, the netconf ecosystem (XML, SSH over TCP, etc.) does not fit,
> but maybe this is a good moment to work with COMAN to produce a
> constrained version, for example of RESTCONF. In a perfect world, a
> single protocol could serve multiple purposes, e.g. by mapping
> different states to be managed to different resources.
>
> Thomas
>
>
_______________________________________________
Ace mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ace